import datetime

from morningstar.morningstar_client import MorningstarClient


class MorningstarClientMock(MorningstarClient):

    def get_prices_by_most_available(self, isin, currency, start_date, end_date, bar_type=None):
        return self._sample_data(100)

    def _sample_data(self, sample_size):
        d = {
            datetime.datetime(2019, 1, 6, 0, 0): 0.98576,
            datetime.datetime(2019, 1, 5, 0, 0): 0.98625,
            datetime.datetime(2019, 1, 4, 0, 0): 0.98625,
            datetime.datetime(2019, 1, 3, 0, 0): 0.9871,
            datetime.datetime(2019, 1, 2, 0, 0): 0.9887,
            datetime.datetime(2019, 1, 1, 0, 0): 0.982,
            datetime.datetime(2018, 12, 31, 0, 0): 0.98351,
            datetime.datetime(2018, 12, 30, 0, 0): 0.9836,
            datetime.datetime(2018, 12, 29, 0, 0): 0.98403,
            datetime.datetime(2018, 12, 28, 0, 0): 0.98403,
            datetime.datetime(2018, 12, 27, 0, 0): 0.9869,
            datetime.datetime(2018, 12, 26, 0, 0): 0.9943,
            datetime.datetime(2018, 12, 25, 0, 0): 0.9861,
            datetime.datetime(2018, 12, 24, 0, 0): 0.9858,
            datetime.datetime(2018, 12, 23, 0, 0): 0.9936,
            datetime.datetime(2018, 12, 22, 0, 0): 0.99321,
            datetime.datetime(2018, 12, 21, 0, 0): 0.99486,
            datetime.datetime(2018, 12, 20, 0, 0): 0.987,
            datetime.datetime(2018, 12, 19, 0, 0): 0.9939,
            datetime.datetime(2018, 12, 18, 0, 0): 0.9924,
            datetime.datetime(2018, 12, 17, 0, 0): 0.99261,
            datetime.datetime(2018, 12, 16, 0, 0): 0.99751,
            datetime.datetime(2018, 12, 15, 0, 0): 0.99786,
            datetime.datetime(2018, 12, 14, 0, 0): 0.99786,
            datetime.datetime(2018, 12, 13, 0, 0): 0.9936,
            datetime.datetime(2018, 12, 12, 0, 0): 0.9926,
            datetime.datetime(2018, 12, 11, 0, 0): 0.99316,
            datetime.datetime(2018, 12, 10, 0, 0): 0.9895,
            datetime.datetime(2018, 12, 9, 0, 0): 0.98972,
            datetime.datetime(2018, 12, 8, 0, 0): 0.99026,
            datetime.datetime(2018, 12, 7, 0, 0): 0.99026,
            datetime.datetime(2018, 12, 6, 0, 0): 0.9932,
            datetime.datetime(2018, 12, 5, 0, 0): 0.99702,
            datetime.datetime(2018, 12, 4, 0, 0): 0.9972,
            datetime.datetime(2018, 12, 3, 0, 0): 0.99782,
            datetime.datetime(2018, 12, 2, 0, 0): 0.9983,
            datetime.datetime(2018, 12, 1, 0, 0): 0.99886,
            datetime.datetime(2018, 11, 30, 0, 0): 0.99812,
            datetime.datetime(2018, 11, 29, 0, 0): 0.9959,
            datetime.datetime(2018, 11, 28, 0, 0): 0.993,
            datetime.datetime(2018, 11, 27, 0, 0): 0.9982,
            datetime.datetime(2018, 11, 26, 0, 0): 0.99822,
            datetime.datetime(2018, 11, 25, 0, 0): 0.99732,
            datetime.datetime(2018, 11, 24, 0, 0): 0.99692,
            datetime.datetime(2018, 11, 23, 0, 0): 0.99696,
            datetime.datetime(2018, 11, 22, 0, 0): 0.9943,
            datetime.datetime(2018, 11, 21, 0, 0): 0.9941,
            datetime.datetime(2018, 11, 20, 0, 0): 0.99472,
            datetime.datetime(2018, 11, 19, 0, 0): 0.993,
            datetime.datetime(2018, 11, 18, 0, 0): 0.99938,
            datetime.datetime(2018, 11, 17, 0, 0): 0.99786,
            datetime.datetime(2018, 11, 16, 0, 0): 0.99969,
            datetime.datetime(2018, 11, 15, 0, 0): 1.0067,
            datetime.datetime(2018, 11, 14, 0, 0): 1.0059,
            datetime.datetime(2018, 11, 13, 0, 0): 1.0058,
            datetime.datetime(2018, 11, 12, 0, 0): 1.01021,
            datetime.datetime(2018, 11, 11, 0, 0): 1.0059,
            datetime.datetime(2018, 11, 10, 0, 0): 1.0052,
            datetime.datetime(2018, 11, 9, 0, 0): 1.0052,
            datetime.datetime(2018, 11, 8, 0, 0): 1.0056,
            datetime.datetime(2018, 11, 7, 0, 0): 1.0018,
            datetime.datetime(2018, 11, 6, 0, 0): 1.00158,
            datetime.datetime(2018, 11, 5, 0, 0): 1.0042,
            datetime.datetime(2018, 11, 4, 0, 0): 1.0024,
            datetime.datetime(2018, 11, 3, 0, 0): 1.0016,
            datetime.datetime(2018, 11, 2, 0, 0): 1.0016,
            datetime.datetime(2018, 11, 1, 0, 0): 1.002,
            datetime.datetime(2018, 10, 31, 0, 0): 1.00795,
            datetime.datetime(2018, 10, 30, 0, 0): 1.005,
            datetime.datetime(2018, 10, 29, 0, 0): 1.00173,
            datetime.datetime(2018, 10, 28, 0, 0): 0.9974,
            datetime.datetime(2018, 10, 27, 0, 0): 0.99681,
            datetime.datetime(2018, 10, 26, 0, 0): 0.99681,
            datetime.datetime(2018, 10, 25, 0, 0): 0.99967,
            datetime.datetime(2018, 10, 24, 0, 0): 0.99687,
            datetime.datetime(2018, 10, 23, 0, 0): 0.99466,
            datetime.datetime(2018, 10, 22, 0, 0): 0.99611,
            datetime.datetime(2018, 10, 21, 0, 0): 0.9962,
            datetime.datetime(2018, 10, 20, 0, 0): 0.99572,
            datetime.datetime(2018, 10, 19, 0, 0): 0.99572,
            datetime.datetime(2018, 10, 18, 0, 0): 0.99573,
            datetime.datetime(2018, 10, 17, 0, 0): 0.99505,
            datetime.datetime(2018, 10, 16, 0, 0): 0.99042,
            datetime.datetime(2018, 10, 15, 0, 0): 0.98703,
            datetime.datetime(2018, 10, 14, 0, 0): 0.9907,
            datetime.datetime(2018, 10, 13, 0, 0): 0.99171,
            datetime.datetime(2018, 10, 12, 0, 0): 0.99171,
            datetime.datetime(2018, 10, 11, 0, 0): 0.9898,
            datetime.datetime(2018, 10, 10, 0, 0): 0.98823,
            datetime.datetime(2018, 10, 9, 0, 0): 0.9916,
            datetime.datetime(2018, 10, 8, 0, 0): 0.9921,
            datetime.datetime(2018, 10, 7, 0, 0): 0.99141,
            datetime.datetime(2018, 10, 6, 0, 0): 0.99143,
            datetime.datetime(2018, 10, 5, 0, 0): 0.99169,
            datetime.datetime(2018, 10, 4, 0, 0): 0.99135,
            datetime.datetime(2018, 10, 3, 0, 0): 0.99175,
            datetime.datetime(2018, 10, 2, 0, 0): 0.98377,
            datetime.datetime(2018, 10, 1, 0, 0): 0.9834,
            datetime.datetime(2018, 9, 30, 0, 0): 0.9812,
            datetime.datetime(2018, 9, 29, 0, 0): 0.9817
        }
        return dict(list(d.items())[:sample_size])
